Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
[Java] Class NamespaceBuilder

    java.lang.Object
      groovy.xml.NamespaceBuilder

    public class NamespaceBuilder
    extends java.lang.Object

A helper class for creating namespaces for GroovyMarkup

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`NamespaceBuilder(BuilderSupport builder)`

Method Summary
`NamespaceBuilderSupport` | `declareNamespace(java.util.Map ns)`
`NamespaceBuilderSupport` | `namespace(java.lang.String uri)`
`NamespaceBuilderSupport` | `namespace(java.lang.String uri, java.lang.String prefix)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, java.lang.String uri)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, java.lang.String uri, java.lang.String prefix)`
`static NamespaceBuilderSupport` | `newInstance(java.util.Map nsMap, BuilderSupport builder)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NamespaceBuilder

    public NamespaceBuilder(BuilderSupport builder)

Method Detail

### declareNamespace

    public NamespaceBuilderSupport declareNamespace(java.util.Map ns)

### namespace

    public NamespaceBuilderSupport namespace(java.lang.String uri)

### namespace

    public NamespaceBuilderSupport namespace(java.lang.String uri, java.lang.String prefix)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder, java.lang.String uri)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder, java.lang.String uri, java.lang.String prefix)

### newInstance

    public static NamespaceBuilderSupport newInstance(java.util.Map nsMap, BuilderSupport builder)

Groovy Documentation